<ui version="4.0" >
 <class>SolidActionEditPredicate</class>
 <widget class="QWidget" name="SolidActionEditPredicate" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>521</width>
    <height>315</height>
   </rect>
  </property>
  <layout class="QGridLayout" name="gridLayout_4" >
   <item row="0" column="0" >
    <widget class="QFrame" name="FrRequirementType" >
     <property name="frameShape" >
      <enum>QFrame::NoFrame</enum>
     </property>
     <property name="frameShadow" >
      <enum>QFrame::Plain</enum>
     </property>
     <layout class="QGridLayout" name="gridLayout_3" >
      <item row="0" column="1" >
       <widget class="KComboBox" name="CbRequirementType" >
        <item>
         <property name="text" >
          <string>Contains Other Requirements</string>
         </property>
        </item>
        <item>
         <property name="text" >
          <string>Is A Requirement</string>
         </property>
        </item>
       </widget>
      </item>
      <item row="0" column="0" >
       <widget class="QLabel" name="LblRequirementType" >
        <property name="sizePolicy" >
         <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="minimumSize" >
         <size>
          <width>150</width>
          <height>0</height>
         </size>
        </property>
        <property name="maximumSize" >
         <size>
          <width>150</width>
          <height>16777215</height>
         </size>
        </property>
        <property name="text" >
         <string>Requirement Type:</string>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item row="1" column="0" >
    <widget class="QFrame" name="FrTypeContainer" >
     <property name="frameShape" >
      <enum>QFrame::NoFrame</enum>
     </property>
     <property name="frameShadow" >
      <enum>QFrame::Plain</enum>
     </property>
     <layout class="QGridLayout" name="gridLayout" >
      <item row="0" column="0" >
       <widget class="QLabel" name="LblContainerLogic" >
        <property name="sizePolicy" >
         <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="minimumSize" >
         <size>
          <width>150</width>
          <height>0</height>
         </size>
        </property>
        <property name="maximumSize" >
         <size>
          <width>150</width>
          <height>16777215</height>
         </size>
        </property>
        <property name="text" >
         <string>Logic Type:</string>
        </property>
       </widget>
      </item>
      <item row="0" column="1" >
       <widget class="KComboBox" name="CbContainerLogic" >
        <item>
         <property name="text" >
          <string>All Contained Requirements must match</string>
         </property>
        </item>
        <item>
         <property name="text" >
          <string>Any Contained Required must match</string>
         </property>
        </item>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
   <item row="2" column="0" >
    <widget class="QFrame" name="FrTypeRestriction" >
     <property name="frameShape" >
      <enum>QFrame::NoFrame</enum>
     </property>
     <property name="frameShadow" >
      <enum>QFrame::Plain</enum>
     </property>
     <layout class="QGridLayout" name="gridLayout_2" >
      <item row="0" column="0" >
       <layout class="QGridLayout" name="GlRestrictionType" >
        <item row="0" column="0" >
         <widget class="QLabel" name="LblRestrictionType" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize" >
           <size>
            <width>150</width>
            <height>0</height>
           </size>
          </property>
          <property name="maximumSize" >
           <size>
            <width>150</width>
            <height>16777215</height>
           </size>
          </property>
          <property name="text" >
           <string>Restriction Type:</string>
          </property>
         </widget>
        </item>
        <item row="0" column="1" >
         <widget class="KComboBox" name="CbRestrictionType" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <item>
           <property name="text" >
            <string>Is Value Type</string>
           </property>
          </item>
          <item>
           <property name="text" >
            <string>Compare Value To</string>
           </property>
          </item>
         </widget>
        </item>
       </layout>
      </item>
      <item row="1" column="0" >
       <layout class="QGridLayout" name="GlRestrictionDeviceType" >
        <item row="0" column="0" >
         <widget class="QLabel" name="LblRestrictionDeviceType" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize" >
           <size>
            <width>150</width>
            <height>0</height>
           </size>
          </property>
          <property name="maximumSize" >
           <size>
            <width>150</width>
            <height>16777215</height>
           </size>
          </property>
          <property name="text" >
           <string>Device Type:</string>
          </property>
         </widget>
        </item>
        <item row="0" column="1" >
         <widget class="KComboBox" name="CbRestrictionDeviceType" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item row="3" column="0" >
       <layout class="QGridLayout" name="GlRestrictionRequirement" >
        <item row="0" column="0" >
         <widget class="KComboBox" name="CbRestrictionRequirement" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize" >
           <size>
            <width>150</width>
            <height>0</height>
           </size>
          </property>
          <property name="maximumSize" >
           <size>
            <width>150</width>
            <height>16777215</height>
           </size>
          </property>
          <item>
           <property name="text" >
            <string>Equals</string>
           </property>
          </item>
          <item>
           <property name="text" >
            <string>Does Not Equal</string>
           </property>
          </item>
         </widget>
        </item>
        <item row="0" column="1" >
         <widget class="KLineEdit" name="LeRestrictionRequirement" />
        </item>
       </layout>
      </item>
      <item row="2" column="0" >
       <layout class="QGridLayout" name="GlRestrictionDeviceValue" >
        <item row="0" column="0" >
         <widget class="QLabel" name="LblRestrictionDeviceValue" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="minimumSize" >
           <size>
            <width>150</width>
            <height>0</height>
           </size>
          </property>
          <property name="maximumSize" >
           <size>
            <width>150</width>
            <height>16777215</height>
           </size>
          </property>
          <property name="text" >
           <string>Value Name:</string>
          </property>
         </widget>
        </item>
        <item row="0" column="1" >
         <widget class="KComboBox" name="CbRestrictionDeviceValue" >
          <property name="sizePolicy" >
           <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
         </widget>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>KComboBox</class>
   <extends>QComboBox</extends>
   <header>kcombobox.h</header>
  </customwidget>
  <customwidget>
   <class>KLineEdit</class>
   <extends>QLineEdit</extends>
   <header>klineedit.h</header>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections/>
</ui>
